# Default complete template follows
# ---
# name: alphanumeric word, required
# geochemistry:     (Can be a chemical formula, an empirical formula, or an array of hashes of chemical formulae paired with relative ratios as with an empirical formula
#   - H2S04: 0.45
#     MgCO3: 0.55
# melting_point: kelvins
# boiling_point: kelvins
# triple_point: 2-element array of kelvins
# critical_point: 2-element array
# density:   Overall and units of g/cm3
# fusion_enthalpy: Yeah
# vapor_enthalpy: Oh heck yeah
# submlimate_enthalpy: Now you're gettin' it
# thermal_mass:  # Thermal mass split into three categories each having a list of J/(mol K) and Kelvin pairs
#   solid: 
#     - [12.2,73]
#     - [24.8,173]
#     - [35.2,252.2]
#   liquid: 
#     - [75.97,273]
#     - [75.30,353]
#     - [75.94,373]
#   gas: 
#     - [36.5,373]
#     - [36.2,673]
#     - [41.4,1273]
# genesis:
#  - environment: one of "igneous_extrusive", "igneous_intrusive", "metamorphic_hydrothermal", "metamorphic_contact", "sedimentary_evaporative", "sedimentary_clastic"
#  abundance: 1-5, point scale
#     association: single mineral or an array of minerals this one "often" (but not necessarily) occurs with
#     grade: 1-5, defines grade-level of metamorphosis (default 0 = N/A).
#     distribution: one of "cluster" or "vein"
# ...

---
mineral: "ice"
geochemistry: "H2O"
genesis:
 - environment: "sedimentary"
   distribution: "sill"
triple_point: [ 273.16, 0.006037 ]
critical_point: [ 647, 218.11 ]
density: 0.998  # Overall and units of g/cm3
fusion_enthalpy: 6.01
vapor_enthalpy: 40.68
submlimate_enthalpy: 46.70
thermal_mass:  # Thermal mass split into three categories each having a list of J/(mol K) and Kelvin pairs
  solid: 
    - [12.2,73]
    - [24.8,173]
    - [35.2,252.2]
  liquid: 
    - [75.97,273]
    - [75.30,353]
    - [75.94,373]
  gas: 
    - [36.5,373]
    - [36.2,673]
    - [41.4,1273]

---
mineral: "cardice"
geochemistry: "CO2"
genesis:
 - environment: "sedimentary"
   distribution: "sill"
sublimation_point: [ 194.65, 1 ]    # Sublimiation, triple, and critical points are always a two-element array of K/atm pairs (Kelvins followed by physical atmosphere pressure units)
triple_point: [ 216.55, 5.11 ]
critical_point: [ 304.18, 72.83 ]

# Defining pegmatites
---
mineral: "pegmatite"
class: "pegmatic"
genesis:
 - distribution: [ "vein", "sill", "stock", "dike" ]
   association: { mineral: "granite", distribution: "laccolith" }

---
mineral: "biotite"
geochemistry: "KMg2.5Fe0.5AlSi3O10(OH)1.75F0.25"  # Empirical formula, harder to read but more accurate
genesis:
 - distribution: "cluster"
   host: "pegmatite"
   size: 1
 - distribution: "cluster"
   size: 1
   association: "schist"

---
mineral: "lepidolite"    # Associated minerals include: quartz, feldspar, spodumene, amblygonite, tourmaline, columbite, cassiterite, topaz, and beryl.
geochemistry: KLi2Al(Al,Si)3O10(F,OH)2
deposit: { distribution: "cluster", size: 1 }
genesis:
 - host: "pegmatite"
   frequency: 5
 - association: { mineral: "quartz", distribution: "vein" }
   frequency: 3
 - association: "granite"
   frequency: 1


---
mineral: orthoclase
geochemistry: KAlSi3O8
class: "feldspar"
genesis:
 - distribution: "cluster"

---
mineral: microcline
geochemistry: KAlSi3O8
class: "feldspar"
genesis:
 - distribution: "cluster"

---
mineral: albite
class: "na-plagioclase"
geochemistry:
 - NaAlSi3O8: 0.95
   CaAl2Si2O8: 0.05
deposit: { distribution: "cluster", size: 1 }
genesis:
 - host: "pegmatite"
   abundance: 3
   frequency: 1
 - environment: "hydrothermal"
   frequency: 2
 - environment: "metamorphic"
   association: "greenschist"
   frequency: 3

---
mineral: oligoclase
class: "na-plagioclase"
geochemistry:
 - NaAlSi3O8: 0.80
   CaAl2Si2O8: 0.20
genesis:
 - association: [ granite, syenite, diorite, gneiss, orthoclase, { mineral: "diabase", distribution: [ "sill", "dike" ] } ]
   abundance: 3
   distribution: cluster

---
mineral: andesine
class: "na-plagioclase"
geochemistry:
 - NaAlSi3O8: 0.60
   CaAl2Si2O8: 0.40
genesis:
 - association: [ diorite, andesite ]
   abundance: 3
   distribution: cluster

---
mineral: labradorite
class: "ca-plagioclase"
geochemistry:
 - NaAlSi3O8: 0.40
   CaAl2Si2O8: 0.60
genesis:
 - distribution: cluster
   abundance: 2

---
mineral: bytownite
class: "ca-plagioclase"
geochemistry:
 - NaAlSi3O8: 0.20
   CaAl2Si2O8: 0.80
genesis:
 - association: [ diorite, gabbro, andesite, basalt, pyroxene ]
   distribution: cluster
   abundance: 3

---
mineral: anorthite
class: "ca-plagioclase"
geochemistry:
 - NaAlSi3O8: 0.05
   CaAl2Si2O8: 0.95
genesis:
 - environment: metamorphic_orogenic  # Associated with the formation of mountains by tectonic collision, thus not present on Mars.
   distribution: cluster  # Could have formed in the northern low-lands if we assume the massive planetoid collision theory and that it would have had similar characteristics to tectonic activity
   abundance: 2

---
mineral: quartzite       # Forms in low pH (acidic)
geochemistry: SiO2
genesis:
 - association: pegmatites
   distribution: cluster
   abundance: 2
 - environment: "sedimentary-clastic"
   abundance: 4


# Now for something we hope you'll REALLY enjoy!
---
mineral: epsomite
geochemistry: MgSO4.7H2O
class: "evaporative"

---
mineral: hematite
geochemistry: Fe2O3
# Environments: Magmatic, hydrothermal, metamorphic and sedimentary

---
mineral: "gypsum"
geochemistry: "CaSO4.2H2O"
class: "evaporative"

---
mineral: kaolinite
geochemistry: Al2Si2O5O4H4
class: "clay"

# Now for phyllosilicates
---
group: phyllosilicates
members:
 - mineral: biotite
   geochemistry:
    - KMg3AlSi3O10F2
    - KFe3AlSi3O10F2
    - KMg3AlSi3O10O2H2
    - KFe3AlSi3O10O2H2
   genesis:
    - association: pegmatites
      distribution: cluster
      abundance: 1
 - mineral: talc
   geochemistry: 
    - H2Mg3(SiO3)4: 1.0
    - Mg3Si4O10(OH)2: 1.0
   genesis:
    - metamorphism: "hydrothermal"
      protolith: [ "pyroxene", amphibole, olivine ]
      abundance: 2

---
mineral: perchlorates
genesis:
 - environment: "evaporative"
geochemistry:
 - NaClO4: 0.4
   MgClO4: 0.6

---
mineral: olivine
melting_point: 2173
genesis:
 - distribution: cluster
   association: [ gabbro, basalt ]
   abundance: 4
geochemistry:
 - MgO: 0.52
   SiO2: 0.48
 - FeO: 0.32
   SiO2: 0.68

---
mineral: "serpentine"
class: "pyroxene"
genesis:
 - distribution: "cluster"
   metamorphism: "hydrothermal"
   protolith: [ "olivine" ]
   size: 2   

---
mineral: "magnetite"
geochemistry: Fe3O4
deposit:
  distribution: cluster
genesis:
 - association: [ "serpentine" ]
   abundance: 2

---
mineral: magnesite
geochemistry: MgCO3
genesis:
 - protolith: [ "pyroxene", "olivine", "amphibole" ]

---
mineral: barringtonite
geochemistry: 
 - MgCO3: 0.5
   H2O: 0.5

---
mineral: nesquehonite
geochemistry: 
 - MgCO3: 0.4
   3H2O: 0.6

---
mineral: lansfordite
geochemistry: 
 - MgCO3: 0.3
   H2O: 0.7

---
mineral: calcite
geochemistry: CaCO3
genesis:
   distribution: cluster
   abundance: 2

---
mineral: dolomite
melting_point: 3615 # Average between ~2570 - 4660
genesis:
 - environment: sedimentary
   abundance: 1
geochemistry: CaMgC2O6

---
mineral: ilmenite
geochemistry:
 - FeTiO3: 0.4
   MgTiO3: 0.3
   MnTiO3: 0.2
   TiO3: 0.1
genesis:
 - association: basalt
   abundance: 2
   distribution: cluster

---
mineral: rutile
geochemistry: TiO2
genesis:        # Incomplete, does not include sedimentary sources
 - association: [ kimberlite, lamproite ]
   abundance: 1
 - association: [ pegmatite, skarn, greisen ]
   abundance: 3
 - association: [ gneiss, schist ]
   abundance: 1

---
mineral: palagonite
geochemistry:
 - SiO2: 0.5
   MgO: 0.15
 - SiO2: 0.5
   CaO: 0.10
genesis:
 - environment: metamorphic_hydrothermal
   protolith: [ obsidian, perlite ]

---
mineral: jarosite
geochemistry: KFe3(OH)6(SO4)2
genesis:
 - environment: "sedimentary-evaporative"
   abundance: 1

---
mineral: saponite
family: smectite
genesis:
 - association: 
      mineral: serpentine
      distribution: vein
   distribution: cluster

---
mineral: chlorite
genesis:
 - environment: igneous
   association: [ pyroxene, amphibole, biotite ]
 - environment: metamorphic_hydrothermal
   association: sulfides
members:
 - name: clinoclore
   geochemistry: (Mg,Fe)5Al(Si3Al)O10(OH)8
   members:
    - name: seraphinite
 - name: pennantite
   geochemistry: (Mn5Al)(Si3Al)O10(OH)8
 - name: chamosite
   geochemistry: (Fe,Mg)5Al(Si3Al)O10(OH)8

---
mineral: goethite
geochemistry: FeO(OH)
genesis:
 - environment: "sedimentary-evaporative"
 - environment: metamorphic_hydrothermal

---
mineral: niningerite
class: "enstatite-chondrites"
geochemistry: "(Mn,Fe,Mn)S"
genesis: { environment: "enstatite-chondrites" }

---
group: sulfides
genesis:
 - environment: igneous_intrusive
   distribution: vein
members:
 - mineral: niningerite
   geochemistry: (Mg,Fe,Mn)S
 - mineral: cinnabar
   geochemistry: HgS
 - mineral: realgar
   geochemistry: AsS
 - mineral: opriment
   geochemistry: As2S3
 - mineral: stibnite
   geochemistry: Sb2S3
 - mineral: pyrite
   geochemistry: FeS2
 - mineral: marcasite
   geochemistry: FeS2
 - mineral: molybdenite
   geochemistry: MoS2
 - mineral: covellite
   geochemistry: CuS
 - mineral: sphalerite
   geochemistry: ZnS
 - mineral: galena
   geochemistry: PbS
 - mineral: bornite
   geochemistry: Cu5FeS4
 - mineral: chalcocite
   geochemistry: Cu2S
 - mineral: acanthite
   geochemistry: Ag2S
